coreEngine.Calibration.Distributions

## Class BinCN3Dist2

- java.lang.Object
- - coreEngine.Calibration.Distributions.Distribution
  - - coreEngine.Calibration.Distributions.BinC3Dist2
    - - coreEngine.Calibration.Distributions.BinCN3Dist2

-     public class BinCN3Dist2
      extends BinC3Dist2

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `normVal`
    `boolean` | `normValSet`

    - ### Fields inherited from class coreEngine.Calibration.Distributions.BinC3Dist2

      `alpha1, alpha2, alpha3, mu1, mu2, mu3, nDist1, nDist2, nDist3, sigma1, sigma2, sigma3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinCN3Dist2()`
    `BinCN3Dist2(java.lang.String alpha1, java.lang.String alpha2, java.lang.String alpha3, java.lang.String mu1, java.lang.String sigma1, java.lang.String mu2, java.lang.String sigma2, java.lang.String mu3, java.lang.String sigma3)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private float` | `calcPDF(float x)`
    `Distribution` | `clone()`
    `Distribution[]` | `crossover(Distribution mate)`
    `float` | `getValue(double period)`
    `float` | `getValue(float period)`
    `float` | `getValue(int period)`
    `void` | `mutate()`
    `void` | `mutate(int paramIdx)`
    `void` | `setAlpha1(double newAlpha)`
    `void` | `setAlpha2(double newAlpha)`
    `void` | `setAlpha3(double newAlpha)`
    `void` | `setMu1(double newMu1)`
    `void` | `setMu2(double newMu2)`
    `void` | `setMu3(double newMu3)`
    `private void` | `setNormVal()`
    `void` | `setSigma1(double newSigma1)`
    `void` | `setSigma2(double newSigma2)`
    `void` | `setSigma3(double newSigma3)`

    - ### Methods inherited from class coreEngine.Calibration.Distributions.BinC3Dist2

      `getALPHA1_MAX, getALPHA1_MIN, getAlpha1, getALPHA2_MAX, getALPHA2_MIN, getAlpha2, getALPHA3_MAX, getALPHA3_MIN, getAlpha3, getCROSSOVER_PCT, getMU1_MAX, getMU1_MIN, getMu1, getMU2_MAX, getMU2_MIN, getMu2, getMU3_MAX, getMU3_MIN, getMu3, getSIGMA1_MAX, getSIGMA1_MIN, getSigma1, getSIGMA2_MAX, getSIGMA2_MIN, getSigma2, getSIGMA3_MAX, getSIGMA3_MIN, getSigma3, mutate, setALPHA1_MAX, setALPHA1_MIN, setALPHA2_MAX, setALPHA2_MIN, setALPHA3_MAX, setALPHA3_MIN, setBinaryDigits, setCROSSOVER_PCT, setMU1_MAX, setMU1_MIN, setMU2_MAX, setMU2_MIN, setMU3_MAX, setMU3_MIN, setSIGMA1_MAX, setSIGMA1_MIN, setSIGMA2_MAX, setSIGMA2_MIN, setSIGMA3_MAX, setSIGMA3_MIN, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### normValSet

          public boolean normValSet

    - #### normVal

          public float normVal

  - ### Constructor Detail

    - #### BinCN3Dist2

          public BinCN3Dist2()

    - #### BinCN3Dist2

          public BinCN3Dist2(java.lang.String alpha1,
                             java.lang.String alpha2,
                             java.lang.String alpha3,
                             java.lang.String mu1,
                             java.lang.String sigma1,
                             java.lang.String mu2,
                             java.lang.String sigma2,
                             java.lang.String mu3,
                             java.lang.String sigma3)

  - ### Method Detail

    - #### getValue

          public float getValue(int period)

      Overrides:
        `getValue` in class `BinC3Dist2`

    - #### getValue

          public float getValue(float period)

      Overrides:
        `getValue` in class `BinC3Dist2`

    - #### getValue

          public float getValue(double period)

      Overrides:
        `getValue` in class `BinC3Dist2`

    - #### clone

          public Distribution clone()

      Overrides:
        `clone` in class `BinC3Dist2`

    - #### mutate

          public void mutate()

      Overrides:
        `mutate` in class `BinC3Dist2`

    - #### mutate

          public void mutate(int paramIdx)

      Overrides:
        `mutate` in class `BinC3Dist2`

    - #### crossover

          public Distribution[] crossover(Distribution mate)

      Overrides:
        `crossover` in class `BinC3Dist2`

    - #### setAlpha1

          public void setAlpha1(double newAlpha)

      Overrides:
        `setAlpha1` in class `BinC3Dist2`

    - #### setAlpha2

          public void setAlpha2(double newAlpha)

      Overrides:
        `setAlpha2` in class `BinC3Dist2`

    - #### setAlpha3

          public void setAlpha3(double newAlpha)

      Overrides:
        `setAlpha3` in class `BinC3Dist2`

    - #### setMu1

          public void setMu1(double newMu1)

      Overrides:
        `setMu1` in class `BinC3Dist2`

    - #### setSigma1

          public void setSigma1(double newSigma1)

      Overrides:
        `setSigma1` in class `BinC3Dist2`

    - #### setMu2

          public void setMu2(double newMu2)

      Overrides:
        `setMu2` in class `BinC3Dist2`

    - #### setSigma2

          public void setSigma2(double newSigma2)

      Overrides:
        `setSigma2` in class `BinC3Dist2`

    - #### setMu3

          public void setMu3(double newMu3)

      Overrides:
        `setMu3` in class `BinC3Dist2`

    - #### setSigma3

          public void setSigma3(double newSigma3)

      Overrides:
        `setSigma3` in class `BinC3Dist2`

    - #### calcPDF

          private float calcPDF(float x)

    - #### setNormVal

          private void setNormVal()